Bug 571011 - Skype crashes with GTK+ theming after qt-x11-4.6.2-3 update
Summary: Skype crashes with GTK+ theming after qt-x11-4.6.2-3 update
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: qt   
(Show other bugs)
Version: 12
Hardware: x86_64 Linux
low
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-06 10:37 UTC by Andrew Hutchings
Modified: 2010-07-06 19:21 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-05 11:41:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Backtrace of crash (5.15 KB, text/plain)
2010-03-06 10:37 UTC, Andrew Hutchings
no flags Details

Description Andrew Hutchings 2010-03-06 10:37:27 UTC
Created attachment 398199 [details]
Backtrace of crash

Description of problem:
When using Skype 2.1.0.81 if GTK+ style is selected Skype crashes.  This happened after a recent update to qt-x11-4.6.2-3.

Version-Release number of selected component (if applicable):
qt-x11-4.6.2-3

How reproducible:
Every time since update

Steps to Reproduce:
1. Start Skype
2. Open options
3. Choose style -> GTK+

BANG!

If (like me) you previously had GTK+ as a saved setting, Skype crashes upon startup.

Additional info:

GDB backtrace attached.

Comment 1 Kevin Kofler 2010-03-06 16:21:21 UTC
QGtkStyle has been part of Qt since 4.5, reassigning.

The backtrace as is is not very helpful as it does not contain any debugging information. Please install qt-debuginfo.

I also wonder if this bug can be reproduced with anything non-proprietary.

Comment 2 Andrew Hutchings 2010-03-06 16:51:42 UTC
Thanks Kevin.

I tried to install qt-debuginfo but debuginfo-install doesn't seem to be able to install 32bit debugging symbols on a x86_64 installation.  Any way of doing this without downloading lots of RPMs manually?

Comment 3 Rex Dieter 2010-03-23 12:30:49 UTC
You probably only want/need qt-debuginfo.i686 initially

Comment 4 Steven M. Parrish 2010-05-05 11:41:45 UTC
Since there are insufficient details provided in this report for us to investigate the issue further, and we have not received feedback to the information we have requested above, we will assume the problem was not reproducible, or has been fixed in one of the updates we have released for the reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest update of their distribution, and if this issue turns out to still be reproducible in the latest update, please reopen this bug with additional information.

Closing as INSUFFICIENT_DATA.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 5 Andrew Hutchings 2010-05-05 22:57:46 UTC
For reference if anyone else has this problem, I have done a quick test and this crash still happens in fresh (updated) F13 installation but I no longer use Skype on Fedora in production so does not affect me any more.

Comment 6 Andrew Hutchings 2010-07-06 19:21:21 UTC
Found the cause today.  gtk2-engines.i686 was not installed.  Installing this stops the crashing.


Note You need to log in before you can comment on or make changes to this bug.